CUT(1)

NAME
cut - select portions of each line of a file

SYNOPSIS
cut -c list [file ...]

cut -f list [-d delim] [-s] [file ...]

DESCRIPTION
The cut utility selects portions of each line (as specified by list) from each file (or the standard input by default), and writes them to the standard output. The items specified by list can be in terms of column position or in terms of fields delimited by a special character. Column numbering starts from 1.

List is a comma or whitespace separated set of increasing numbers and/or number ranges. Number ranges consist of a number, a dash -, and a second number and select the fields or columns from the first number to the second, inclusive. Numbers or number ranges may be preceded by a dash, which selects all fields or columns from 1 to the first number. Numbers or number ranges may be followed by a dash, which selects all fields or columns from the last number to the end of the line. Numbers and number ranges may be repeated, overlapping, and in any order. It is not an error to select fields or columns not present in the input line.

Cut exits 0 on success, 1 if an error occurred.

  OPTIONS
The options are as follows:

-c  The list specifies character positions.

-d  Use the first character of delim as the field delimiter character instead of the tab character.

-f  The list specifies fields, delimited in the input by a single tab character. Output fields are separated by a single tab character.

-s  Suppresses lines with no field delimiter characters. Unless specified, lines with no delimiters are passed through unmodified.

ATTRIBUTIONS
This command was ported from FreeBSD source code for distribution with GNO/ME 2.0.6.

SEE ALSO
paste(1)

STANDARDS
The cut utility is expected to conform to the POSIX.2 standard.

HISTORY
Version 1.0 (April 27, 1994) of cut, was written by Jason Perez (jperez@ee.tamu.edu) and distributed as a separate package compatible with GNO.